import { jsx } from "react/jsx-runtime";
import { LockKeyIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const LockKey = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "LockKey", ...props, children: /* @__PURE__ */ jsx(LockKeyIcon, { weight: variant }) });
  }
);
LockKey.displayName = "LockKey";
Object.assign(LockKey, { isGdsIcon: true });
export {
  LockKey
};
